<?php
/*  Copyright 2015  Kévin FERRANDON  (email : kferrandon@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
  Plugin Name: info déroulante
  Plugin URI: http://www.frannuaire-gratuit.com/wp/
  Description: Text d'information déroulante sur l'extrait d'un article ou d'une page
  Version: 0.3
  Parametrage: options-general.php?page=kf_info_deroule
  Author: Kévin FERRANDON
  Author URI: http://www.winatou.fr
  License: GPL2
 */
define('DEFILE__PLUGIN_URL', plugin_dir_url(__FILE__));
define('DEFILE_VERSION', '0.3');
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
require 'info-deroulante-admin.php';
class kf_info_deroule {

    public function __construct() {
        new kf_info_deroule_admin();
        wp_register_style('defile.css', DEFILE__PLUGIN_URL . '_inc/defile.css');
        wp_enqueue_style('defile.css');
        add_filter('the_excerpt', array($this, 'kf_deroule_page_title'),20);
    }

    public function kf_deroule_page_title($title) {
        $html='';
        if(!empty($title)){
         $select = get_option('typeInfo');
        // var_dump($select);
        $html = "<div class='defileParent'  data-text='$title' >
                  <span class='defile kf-".$select."'>$title              
                  </span>             
            </div>";
        }
        return $html;
    }

}

new kf_info_deroule();
?>