<?php

class kf_info_deroule_admin {

    public function __construct() {
         add_action('admin_menu', array($this,'afficher_administration_info_deroule'));
    }

    // lier le lien du menu à la page d'options
    public function afficher_administration_info_deroule() {
        if (function_exists('add_options_page')) {
            $plugin_page_options = add_options_page('kf-option-info-deroulante', 'Information déroulante', 'administrator', 'kf_info_deroule', array($this,'formulaire_administration_info_deroule'));
        }
    }

// Formulaire de parametrage du text déroulant
    public function formulaire_administration_info_deroule() {

        if (!current_user_can('administrator')) {
            wp_die(__('You do not have sufficient permissions to access this page.'));
        }
        $select = get_option('typeInfo');
  
        echo '<div class="wrap">';
        echo '<br /><br /><em>Ce plugin fait défiler le text qui se trouve dans l\'extrait de vos articles et de vos pages</em><br /><br />';
        echo "<form method='post' action='options.php'>";
         wp_nonce_field('update-options'); 
         $html= "<table width='90%'>
 <caption><h2>Administrer le plugin d'information déroulante</h2></caption>            
<tr>
<!-- Type de message -->
<th width='50px' scope='row'>Type de message:</th>
<td width='50px'>
<select name='typeInfo' id='typeInfo'>
<option value='muted' ";
         if($select=='muted'){$html.= 'selected=selected';}
        $html.=" >muted</option>
<option value='primary'  ";
         if($select=='primary'){$html.= 'selected=selected';}
        $html.=">primary</option>
<option value='success' ";
         if($select=='success'){$html.= 'selected=selected';}
        $html.=">success</option>
<option value='info' ";
         if($select=='info'){$html.= 'selected=selected';}
        $html.=">info</option>
<option value='warning'  ";
         if($select=='warning'){$html.= 'selected=selected';}
        $html.=">warning</option>
<option value='danger' ";
         if($select=='danger'){$html.= 'selected=selected';}
        $html.=">danger</option>
</select>
</td>
</tr>
<tr>
<!-- Option #2 
<th width='150' scope='row'>Option #2:</th>
<td width='50'>

</td>
</tr>-->
<tr>
<th width='150' scope='row'>&nbsp;</th>
<td>
<!-- Mise à jour des valeurs -->
<input type='hidden' name='action' value='update' />
<input type='hidden' name='page_options' value='typeInfo, option2' />

<!-- Bouton de sauvegarde -->

<input type='submit' value='Sauvegarder' />

</td>
</tr>
</table>
</form>";
        echo $html;
        ?>


<?php

        echo '</div>';
    }

}

?>